# Reading strategies

Zulip works a little bit differently than other chat platforms. Read
[streams and topics](/help/about-streams-and-topics) if you're not yet
familiar with Zulip's topics, and [why Zulip](/why-zulip) if you're
curious why we built Zulip the way we did.

We've outlined a few ways users process messages in Zulip.

## Topic by topic

This is the recommended way to read new messages, for most users. If you're
only going to learn one way to do it, this is the one.

* Use the keyboard shortcut `n` (next unread topic) to jump from topic to
  topic. You can use the arrow keys, page up/down, and Home/End to navigate
  within a topic.

* Use `p` (next unread PM) to jump from PM to PM.

* Use `r` (reply) to reply to a topic or PM.

* Use `c` (compose stream message) or `x` (compose PM) to start new
  conversations.

* Use up arrow or `Esc` to exit out of the compose box.

## Recent topics

Zulip's recent topics view gives you an overview of recent
conversations. This view is particularly useful for catching up on
messages sent while you were away.

* You can navigate to this view by clicking on the `Recent topics` button
  in the left sidebar or pressing the `t` hotkey.

* The arrows keys and vim navigation keys (`j`, `k`, `l`, `h`) can be
  used to move between elements.

* There filters at the top can help you quickly find the conversations
  that are specifically relevant to you.  Filtering for conversations
  where you've participated with new unread messages is often useful.

## Stream view

Sometimes it's useful to scroll through all the messages in a stream,
especially in situations where you just want a general idea of what's going
on.

* Click on a stream name in the left sidebar, and scroll using your mouse,
  the arrow keys, `End`, or page up/down.

* Click on a topic to narrow to messages from that topic.

You can also get to a stream with `q` (stream search), by clicking on the
magnifying glass next to `STREAMS`, or by using the autocomplete in
[search](/help/search-for-messages).

## All messages

If you're all caught up, it can be useful to have a single place to keep
track of all messages coming in.

* Click on **All messages** in the upper left, or hit `a`.

* You can use `s` (narrow to stream) or `S` (narrow to topic) to zoom in,
  and `a` to get back to All messages.

## Starring messages for later

You can [star messages](/help/star-a-message) that you've seen and would
like to reply to later.

## Related articles

* [Search](/help/search-for-messages) for streams, topics, or messages.

* Unread counts
